Public Member Functions | Data Fields

# DrawTileSeqStruct Struct Reference

A tile child sprite and palette to draw for stations etc, with 3D bounding box. More...

`#include <sprite.h>`

## Public Member Functions
void | MakeTerminator ()
| Make this struct a sequence terminator.
bool | IsTerminator () const
| Check whether this is a sequence terminator.
bool | IsParentSprite () const
| Check whether this is a parent sprite with a boundingbox.
## Data Fields
int8 | delta_x
| `0x80` is sequence terminator
int8 | delta_y
int8 | delta_z
| `0x80` identifies child sprites
byte | size_x
byte | size_y
byte | size_z
PalSpriteID | image

## Detailed Description

A tile child sprite and palette to draw for stations etc, with 3D bounding box.

Definition at line 27 of file sprite.h.

## Member Function Documentation

bool DrawTileSeqStruct::IsParentSprite | ( |  | ) | const`[inline]`

Check whether this is a parent sprite with a boundingbox.

Definition at line 49 of file sprite.h.

References delta_z.

Referenced by DrawCommonTileSeq(), DrawCommonTileSeqInGUI(), NewGRFSpriteLayout::ProcessRegisters(), and ReadSpriteLayout().

bool DrawTileSeqStruct::IsTerminator | ( |  | ) | const`[inline]`

Check whether this is a sequence terminator.

Definition at line 43 of file sprite.h.

References delta_x.

Referenced by DrawWaterTileStruct(), and StationChangeInfo().

void DrawTileSeqStruct::MakeTerminator | ( |  | ) | `[inline]`

Make this struct a sequence terminator.

Definition at line 37 of file sprite.h.

References delta_x.

Referenced by NewGRFSpriteLayout::Allocate(), and NewGRFSpriteLayout::PrepareLayout().

The documentation for this struct was generated from the following file:

- src/sprite.h